Package org.apache.avro.util

# Interface ClassSecurityValidator.ClassSecurityPredicate

All Known Implementing Classes:
  `ClassSecurityValidator.SystemPropertiesPredicate`

Enclosing class:
  `ClassSecurityValidator`

public static interface ClassSecurityValidator.ClassSecurityPredicate
A predicate that checks if a class is trusted to be included in Avro schemas.

## Method Summary

Modifier and Type
Method
Description
`default void`
`forbiddenClass(String className)`
Throws a `SecurityException` with a message indicating that the class is not trusted to be included in Avro schemas.
`boolean`
`isTrusted(Class<?> clazz)`
Checks if the class is trusted to be included in Avro schemas.

## Method Details

### isTrusted

boolean isTrusted(Class<?> clazz)
Checks if the class is trusted to be included in Avro schemas.

Parameters:
  `clazz` - the class to check
Returns:
  true if the class is trusted, false otherwise

### forbiddenClass

default void forbiddenClass(String className)
Throws a `SecurityException` with a message indicating that the class is not trusted to be included in Avro schemas.

Parameters:
  `className` - the name of the class that is not trusted